---
title: vultr_bare_metal_server
url: https://docs.vultr.com/reference/terraform/data-sources/bare_metal_server
description: Provisions and manages a bare metal server instance on the Vultr platform with customizable specifications.
publish_date: 2025-09-15T13:32:42.435453Z
last_updated: 2025-09-15T14:14:36.939391Z
---

# vultr_bare_metal_server

Get information about a Vultr bare metal server.

## Example Usage

Get the information for a server by `label`:

```hcl
data "vultr_bare_metal_server" "my_server" {
  filter {
    name   = "label"
    values = ["my-server-label"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding servers.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `os` - The operating system of the server.
* `ram` - The amount of memory available on the server in MB.
* `disk` - The description of the disk(s) on the server.
* `main_ip` - The server's main IP address.
* `cpu_count` - The number of CPUs available on the server.
* `location` - The location of the server.
* `region` - The region ID of the server.
* `default_password` - The server's default password.
* `date_created` - The date the server was added to your Vultr account.
* `status` - The status of the server's subscription.
* `netmask_v4` - The server's IPv4 netmask.
* `gateway_v4` - The server's IPv4 gateway.
* `plan` - The server's plan ID.
* `v6_networks` - A list of the server's IPv6 networks.
* `label` - The server's label.
* `tag` - The server's tag.
* `tags` - A list of tags applied to the server.
* `user_scheme` - The scheme used for the default user (linux servers only). 
* `os_id` - The server's operating system ID.
* `app_id` - The server's application ID.
* `image_id` - The Marketplace ID for this application.
* `vpc_id` - The ID of the VPC which is attached to the bare metal server.
* `vpc2_ids` - (Deprecated) A list of VPC 2.0 IDs attached to the server.